import { MonitorPointService } from '@business/services/http/monitor-point.service';
import { AreacodeService } from '@business/services/http/areacode.service';
import { SensorsService } from '@business/services/http/sensors.service';
import { PipeModule } from '@business/pipe/pipe.module';
import { NgModule } from '@angular/core';
import { SharedModule } from '@shared/shared.module';
import { QueryComponent } from './query/query.component';
import { Routes, RouterModule } from '@angular/router';
import { CommonModule } from '@angular/common';
import { DeviceService } from '@business/services/http/device.service';
import { NgxEchartsModule  } from 'ngx-echarts';
import { DateService } from '@business/services/util/date.service';
import { NzMessageService } from 'ng-zorro-antd';
const routes: Routes = [
  {
    path: '',
    children: [
      { path: 'query', component: QueryComponent }
    ]
  }
];

@NgModule({
  imports: [
    // 管道模块必须当前模块导入
    PipeModule,
    CommonModule,
    SharedModule,
    NgxEchartsModule,
    RouterModule.forChild(routes)    
  ],
  declarations: [QueryComponent],
  providers: [SensorsService, NzMessageService, AreacodeService, MonitorPointService, DeviceService, DateService]
})
export class AnalysisModule { }
